<template>
  <svg
      width="29"
      height="12"
      viewBox="0 0 29 12"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M6.0498 8.38867C6.0498 8.0013 5.91309 7.70508 5.63965 7.5C5.36621 7.29036 4.87402 7.07161 4.16309 6.84375C3.45215 6.61133 2.88932 6.38346 2.47461 6.16016C1.3444 5.54948 0.779297 4.72689 0.779297 3.69238C0.779297 3.15462 0.929688 2.67611 1.23047 2.25684C1.53581 1.83301 1.97103 1.5026 2.53613 1.26562C3.10579 1.02865 3.74382 0.910156 4.4502 0.910156C5.16113 0.910156 5.7946 1.04004 6.35059 1.2998C6.90658 1.55501 7.33724 1.91732 7.64258 2.38672C7.95247 2.85612 8.10742 3.38932 8.10742 3.98633H6.05664C6.05664 3.5306 5.91309 3.17741 5.62598 2.92676C5.33887 2.67155 4.93555 2.54395 4.41602 2.54395C3.91471 2.54395 3.52507 2.65104 3.24707 2.86523C2.96908 3.07487 2.83008 3.35286 2.83008 3.69922C2.83008 4.02279 2.99186 4.29395 3.31543 4.5127C3.64355 4.73145 4.12435 4.93652 4.75781 5.12793C5.92448 5.47884 6.77441 5.91406 7.30762 6.43359C7.84082 6.95312 8.10742 7.60026 8.10742 8.375C8.10742 9.23633 7.78158 9.91309 7.12988 10.4053C6.47819 10.8929 5.60091 11.1367 4.49805 11.1367C3.73242 11.1367 3.03516 10.9977 2.40625 10.7197C1.77734 10.4372 1.29655 10.0521 0.963867 9.56445C0.635742 9.07682 0.47168 8.51172 0.47168 7.86914H2.5293C2.5293 8.96745 3.18555 9.5166 4.49805 9.5166C4.98568 9.5166 5.36621 9.41862 5.63965 9.22266C5.91309 9.02214 6.0498 8.74414 6.0498 8.38867ZM12.1816 1.04688L14.7383 8.26562L17.2812 1.04688H19.9746V11H17.917V8.2793L18.1221 3.58301L15.4355 11H14.0273L11.3477 3.58984L11.5527 8.2793V11H9.50195V1.04688H12.1816ZM26.9268 8.38867C26.9268 8.0013 26.79 7.70508 26.5166 7.5C26.2432 7.29036 25.751 7.07161 25.04 6.84375C24.3291 6.61133 23.7663 6.38346 23.3516 6.16016C22.2214 5.54948 21.6562 4.72689 21.6562 3.69238C21.6562 3.15462 21.8066 2.67611 22.1074 2.25684C22.4128 1.83301 22.848 1.5026 23.4131 1.26562C23.9827 1.02865 24.6208 0.910156 25.3271 0.910156C26.0381 0.910156 26.6715 1.04004 27.2275 1.2998C27.7835 1.55501 28.2142 1.91732 28.5195 2.38672C28.8294 2.85612 28.9844 3.38932 28.9844 3.98633H26.9336C26.9336 3.5306 26.79 3.17741 26.5029 2.92676C26.2158 2.67155 25.8125 2.54395 25.293 2.54395C24.7917 2.54395 24.402 2.65104 24.124 2.86523C23.846 3.07487 23.707 3.35286 23.707 3.69922C23.707 4.02279 23.8688 4.29395 24.1924 4.5127C24.5205 4.73145 25.0013 4.93652 25.6348 5.12793C26.8014 5.47884 27.6514 5.91406 28.1846 6.43359C28.7178 6.95312 28.9844 7.60026 28.9844 8.375C28.9844 9.23633 28.6585 9.91309 28.0068 10.4053C27.3551 10.8929 26.4779 11.1367 25.375 11.1367C24.6094 11.1367 23.9121 10.9977 23.2832 10.7197C22.6543 10.4372 22.1735 10.0521 21.8408 9.56445C21.5127 9.07682 21.3486 8.51172 21.3486 7.86914H23.4062C23.4062 8.96745 24.0625 9.5166 25.375 9.5166C25.8626 9.5166 26.2432 9.41862 26.5166 9.22266C26.79 9.02214 26.9268 8.74414 26.9268 8.38867Z"
        :fill="color ? color : '#4786FF'"
      />
    </svg>

</template>

<script>
  export default {
    props: ['color'],
  }
</script>